/**
 * Copyright (C) 2003-2004 Funambol
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package sync4j.syncclient.sps;

import javax.microedition.rms.RecordFilter;

/**
 * This class define
 * methods to filter records
 * on record state
 *
 * $Id: StateFilterRecords.java,v 1.1 2004/04/09 18:13:15 fabius Exp $
 */
public class StateFilterRecords implements RecordFilter {

    // value to filter
    private String value;


    public StateFilterRecords(String filter) {
        value = filter.toLowerCase();
    }


    /**
     * Check if the record matchs with value
     * @param record
     * @return <code>true</code> if record matches, <code>false</code> otherwise
     */
    public boolean matches(byte[] record) {

        String recordStr = new String(record);

        return (recordStr.substring(recordStr.indexOf("|") + 1)).toLowerCase().startsWith(value + "|");
    }
}