/**
 * Copyright (C) 2003-2004 Funambol
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package sync4j.syncclient.util;

import java.io.InputStream;
import java.io.IOException;

/**
 * This class supports
 * general using
 * statics data and static methods
 *
 * @author  Fabio Maggi @ Funambol
 * @version $Id: StaticDataHelper.java,v 1.1 2004/04/09 18:13:15 fabius Exp $
 *
 **/

public class StaticDataHelper {

   //----------------------------------------------------------------- Public data

    /** debug enable */
    public static boolean debug = false;

    //----------------------------------------------------------------- Public methods

    /**
     * Logs a string.
     *
     * @param msg the string to be logged
     **/
    public static void log(String msg) {
        if (debug)
            System.out.println(msg);
    }

    /**
     * Reads the content of the given input stream.
     *
     * @param is the input stream
     **/
    public static String read(InputStream is) throws IOException {
        StringBuffer sb = new StringBuffer();

        try {
            byte[] buf = new byte[1024];

            int nbyte = -1;
            while ((nbyte = is.read(buf)) >= 0) {
                sb.append(new String(buf, 0, nbyte));
            }
        } finally {
            is.close();
        }

        return sb.toString();
    }

}